MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("CAAnimation", true) Base class for animations. ViewTransitions Example_CoreAnimation
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAnimationDiscrete To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAnimationLinear To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAnimationPaced To be added.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.CoreAnimation.CAAnimationStateEventArgs> Event raised by the object. If you assign a value to this event, this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("autoreverses")
  set: MonoMac.Foundation.Export("setAutoreverses:")
  System.Boolean When the animation completes, this determines if the animation will automatically reverse . To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("beginTime")
  set: MonoMac.Foundation.Export("setBeginTime:")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Use BeginTime instead")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("animation")
  MonoMac.CoreAnimation.CAAnimation Creates a new animation, you will use the derived classes static method instead. To be added. To be added.
- Method
  0.0.0.0
  System.Double The current animation time. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("defaultValueForKey:")
  MonoMac.Foundation.NSObject `` To be added. The default value used for the given object. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreAnimation.CAAnimationDelegate An instance of the MonoMac.CoreAnimation.CAAnimationDelegate model class which acts as the class delegate.

  The instance of the MonoMac.CoreAnimation.CAAnimationDelegate model class

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  This is the strongly typed version of the object, use the WeakDelegate property instead if you want to merely assign a class derived from NSObject that has been decorated with [Export] attributes.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("didChangeValueForKey:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CAAnimation object.

  This Dispose method releases the resources used by the CAAnimation class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CAAnimation ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("duration")
  set: MonoMac.Foundation.Export("setDuration:")
  System.Double Duration in seconds for this animation. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("fillMode")
  set: MonoMac.Foundation.Export("setFillMode:")
  System.String The FillMode for this animation, use the CAFillMode constants as the values for this property. One of the string contants define in MonoMac.CoreAnimation.CAFillMode. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isRemovedOnCompletion")
  set: MonoMac.Foundation.Export("setRemovedOnCompletion:")
  System.Boolean Whether the animation is removed from the layer on completion. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("repeatCount")
  set: MonoMac.Foundation.Export("setRepeatCount:")
  System.Single Number of times to repeat the animation. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("repeatDuration")
  set: MonoMac.Foundation.Export("setRepeatDuration:")
  System.Double The number of seconds that the animation will repeat for. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAnimationRotateAuto To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAnimationRotateAutoReverse To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("shouldArchiveValueForKey:")
  System.Boolean `` To be added. Whether the value for the given key should be archived. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("speed")
  set: MonoMac.Foundation.Export("setSpeed:")
  System.Single The speed scale applied to this animation. A value of 2.0 will make animations run twice as fast as the parent animations. The default value is 1.0. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("timeOffset")
  set: MonoMac.Foundation.Export("setTimeOffset:")
  System.Double Extra time offset in the local time. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("timingFunction", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  set: MonoMac.Foundation.Export("setTimingFunction:", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  MonoMac.CoreAnimation.CAMediaTimingFunction The timing function used to compute the animation. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionFade To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionFromBottom To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionFromLeft To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionFromRight To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionFromTop To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionMoveIn To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionPush To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATransitionReveal To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  set: MonoMac.Foundation.Export("setDelegate:", MonoMac.ObjCRuntime.ArgumentSemantic.Retain)
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type

  The instance that will respond to events and data requests.

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("willChangeValueForKey:")
  System.Void `` To be added. To be added. To be added.